| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::InterpolGrammar< Iterator, Skipper > Struct Template Reference
Inheritance diagram for Gaudi::Parsers::InterpolGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::InterpolGrammar< Iterator, Skipper >:
[legend]

## Public Types
typedef GaudiMath::Interpolation::Type | ResultT

## Public Member Functions
| InterpolGrammar ()

## Public Attributes
qi::rule< Iterator, ResultT(), Skipper > | literal

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::InterpolGrammar< Iterator, Skipper >

Definition at line 19 of file Interpolation.cpp.

## Member Typedef Documentation

template<typename Iterator , typename Skipper >

typedef GaudiMath::Interpolation::Type Gaudi::Parsers::InterpolGrammar< Iterator, Skipper >::ResultT

Definition at line 20 of file Interpolation.cpp.

## Constructor & Destructor Documentation

template<typename Iterator , typename Skipper >

Gaudi::Parsers::InterpolGrammar< Iterator, Skipper >::InterpolGrammar | ( |  | ) |
| inline

Definition at line 21 of file Interpolation.cpp.

21 : InterpolGrammar::base_type( literal )
22 {
23 literal = ( qi::lit( table[Linear] ) )[qi::_val = Linear] |
24 ( qi::lit( table[Polynomial] ) )[qi::_val = Polynomial] |
25 ( qi::lit( table[Cspline] ) )[qi::_val = Cspline] |
26 ( qi::lit( table[Cspline_Periodic] ) )[qi::_val = Cspline_Periodic] |
27 ( qi::lit( table[Akima] ) )[qi::_val = Akima] |
28 ( qi::lit( table[Akima_Periodic] ) )[qi::_val = Akima_Periodic];
29 }
GaudiMath::Interpolation::Akima
Definition: Interpolation.h:20
Gaudi::Parsers::InterpolGrammar::literal
qi::rule< Iterator, ResultT(), Skipper > literal
Definition: Interpolation.cpp:30
GaudiMath::Interpolation::Polynomial
Definition: Interpolation.h:17
GaudiMath::Interpolation::Cspline
Definition: Interpolation.h:18
GaudiMath::Interpolation::Akima_Periodic
Definition: Interpolation.h:21
GaudiMath::Interpolation::Cspline_Periodic
Definition: Interpolation.h:19
GaudiMath::Interpolation::Linear
Definition: Interpolation.h:16

## Member Data Documentation

template<typename Iterator , typename Skipper >

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::InterpolGrammar< Iterator, Skipper >::literal

Definition at line 30 of file Interpolation.cpp.

The documentation for this struct was generated from the following file:

- GaudiGSL/src/Lib/Interpolation.cpp